

package w83b.w83bDAO;

import java.io.Serializable;

import java.util.ArrayList;
import java.util.List;


import w83b.util.jdbc.W83bDataBase;
import w83b.w83bBeans.W83bNotificacionesBean;

import w83b.w83bDAO.w83bConstantesBD.W83bNotificacionesBD;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;





public class W83bNotificacionesDAO implements Serializable {//NOPMD

	private static final long serialVersionUID = 6558110952810203015L;
	
	
	public static int W83bInsertarNotificaciones(W83bNotificacionesBean infoNotificacion,String direccionEnvio,String sindicato) throws Exception {
		
		
        int correcto = 1;
        
        try{	
        	StringBuffer strSqlCorrelativo = new StringBuffer(W83bClsConstantes.CUARENTA);            
        	strSqlCorrelativo = new StringBuffer();
			strSqlCorrelativo.append("SELECT MAX(");
			strSqlCorrelativo.append(W83bNotificacionesBD.notificacion);
			strSqlCorrelativo.append(") AS ").append(W83bNotificacionesBD.notificacion);;
			strSqlCorrelativo.append(" FROM ");
			strSqlCorrelativo.append(W83bNotificacionesBD.notificacionesTable);
			
			List idNotificacion = W83bDataBase.executeSimpleQuery(strSqlCorrelativo.toString(),new ArrayList(),null);
			int idNotifNext=1;
			
			if (idNotificacion!=null && idNotificacion.size()>0 && idNotificacion.get(0)!=null)
			{
				idNotifNext=Integer.parseInt(idNotificacion.get(0).toString())+1;
			}
		        
        	
        	StringBuffer strSql = new StringBuffer(W83bClsConstantes.CUARENTA);                   
       	 strSql = new StringBuffer(W83bClsConstantes.CUARENTA);//NOPMD
  		 strSql.append("INSERT INTO ");
 		 strSql.append(W83bNotificacionesBD.notificacionesTable);
 		 strSql.append("(");
 		 strSql.append(W83bNotificacionesBD.notificacion).append(",");
 		 strSql.append(W83bNotificacionesBD.dni11).append(",");
 		 strSql.append(W83bNotificacionesBD.codSindi11).append(",");
 		 strSql.append(W83bNotificacionesBD.lote11).append(")");
 		 
 		 
 		 
 		strSql.append(" VALUES (?,?,?,?)");
 		
 		 List params = new ArrayList();
 		 params.add(new Integer(idNotifNext));//NOPMD
 		 params.add(infoNotificacion.getDniXLNET());
 		 params.add(sindicato);
 		 params.add(infoNotificacion.getIdLote());
 		
		 
 		
		  W83bDataBase.executeTableMovement(strSql.toString(), params,null);
            
        }catch(Exception e){
        	correcto=0;
        }    
            
        
         return correcto;  
	}

        	
	

	
}
	